# Simple toolchain template file for gcc running on ppc64le Linux
set(CMAKE_SYSTEM_NAME Linux)
set(CMAKE_SYSTEM_PROCESSOR ppc64le)

set(CMAKE_SYSROOT /opt/powerpc64le-linux-gnu/powerpc64le-linux-gnu/sys-root/)
set(CMAKE_INSTALL_PREFIX $ENV{prefix})

set(CMAKE_C_COMPILER   /opt/bin/powerpc64le-linux-gnu-gcc)
set(CMAKE_CXX_COMPILER /opt/bin/powerpc64le-linux-gnu-g++)
set(CMAKE_Fortran_COMPILER /opt/bin/powerpc64le-linux-gnu-gfortran)

set(CMAKE_LINKER  /opt/bin/powerpc64le-linux-gnu-ld)
set(CMAKE_OBJCOPY /opt/bin/powerpc64le-linux-gnu-objcopy)

set(CMAKE_AR     /opt/powerpc64le-linux-gnu/bin/powerpc64le-linux-gnu-ar)
set(CMAKE_NM     /opt/powerpc64le-linux-gnu/bin/powerpc64le-linux-gnu-nm)
set(CMAKE_RANLIB /opt/powerpc64le-linux-gnu/bin/powerpc64le-linux-gnu-ranlib)

if( $ENV{CC} MATCHES ccache )
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
endif()
